Set Standards-Version to 3.8.0; add debian/README.source to document
[debian/jabref.git] / debian / changelog
index 66b8938883d959d7ae46cfbbe7708c88a2b4e7bc..67bcc1c29938f46aeccb51633c8e5232919621a1 100644 (file)
@@ -1,40 +1,32 @@
-jabref (2.3.1-4) UNRELEASED; urgency=low
+jabref (2.4~beta1-1) UNRELEASED; urgency=low
 
+  * New upstream release.
+  * Install the new upstream CHANGELOG instead of the removed
+    changelog_highlights.txt.
+  * Remove debian docs and install upstream README directly from
+    debian/rules.
+  * Adapt referenced filename in debian/links and debian/install.
+  * Refresh patch 01_free_javac.
+  * Add new patch 05_PrintStream_File, PrintStream(File) is undefined in
+    gcj.
+  * Move wrapper script in source package to debian/jabref-wrapper and
+    install it from debian/rules.
   * Replace /usr/lib/jvm/java-7-icedtea with /usr/lib/jvm/java-6-openjdk in
     wrapper script. Doesn't work on Debian yet but helps Ubuntu users (cf.
     LP: #225450 and LP: #203636).
-  * debian/watch: use sourceforge URL directly instead of the redirector
-    at qa.debian.org.
-  * Switch patch system from dpatch to quilt.
-  * debian/rules: remove configure{,-stamp} targets.
-  * Set Standards-Version to 3.8.0; add debian/README.source to document the
-    patch system.
-
- -- gregor herrmann <gregoa@debian.org>  Fri, 02 May 2008 01:24:18 +0200
-
-jabref (2.3.1-3) unstable; urgency=low
-
-  * Build against Debian libraries instead of pre-packaged ones
-    (closes: #389068):
-    - adapt and reactivate patch 02_libs.dpatch: use libraries in
-      /usr/share/java for building and don't include them in jabref.jar
-    - add needed jars to Classpath in the wrapper script
-    - add patch 05_antlr.dpatch: antlr3 in Debian is newer than the
-      pre-packaged jar
-    - add necessary packages to Build-Depends-Indep and Depends
-    These changes are either taken directly from Gerardo Curiel's patch or
-    based on them -- thanks a lot!
+  * Sync debian/copyright with output of Help/About.
+  * Sync manpage with output of --help.
   * debian/watch: add uversionmangle to cope with upstream b(eta) releases.
-  * Move wrapper script in source package to debian/jabref-wrapper and
-    install it from debian/rules.
-  * Remove debian docs and install upstream README directly from
-    debian/rules.
   * debian/control:
     - change my email address
     - replace java-gcj-compat-dev with default-jdk-builddep in
       Build-Depends-Indep
+  * debian/watch: use sourceforge URL directly instead of the redirector
+    at qa.debian.org.
+  * Set Standards-Version to 3.8.0; add debian/README.source to document
+    the patch system.
 
- -- gregor herrmann <gregoa@debian.org>  Tue, 22 Apr 2008 21:33:33 +0200
+ -- gregor herrmann <gregoa@debian.org>  Sun, 20 Apr 2008 15:20:12 +0200
 
 jabref (2.3.1-2) unstable; urgency=low